+4
Отвечен

Обновление mikbill с php5.4

Артём Шевчук 4 года назад обновлен mikbill (CEO) 3 года назад 6

Устанавливал mikbill starter на сервер по статье https://wiki.mikbill.ru/billing/howto/auto_debian_mikbill по умолчанию устанавливается php5.4

есть проблема в файле который по идее и должен обновить систему /var/www/mikbill/admin/sys/update/mikbill_update.sh в 67 строке идет выход из updater предлагаю заменить

 echo "Unsuported PHP"

на следующий код который позволяет обновиться до актуальной версии

if [ "$PHPVER" -eq "4" ];
then
echo "PHP 5.4 detected"
UPDATE_URL="http://update2free.mikbill.ru/54/"
else
echo "Unsuported PHP"
exit
fi
+1

Благодарю. Пригодилось.

Добрый день!

Спасибо за Ваш пост, ошибки больше нет.

Но возникла следующая проблема выполняю /usr/local/sbin/cron_mikbill.sh и ничего не происходит. Версия не меняется, установлена 2.12.2 от 19.03.17 а на сайте написано что актуальная от 29.03.17.Подскажите пожалуйста куда копать ? При этом в логах пишет:

PHP 5.4 detected
Delete downloaded old files success!
Start UPDATER SOFT!
Чтв Апр 20 11:13:45 MSK 2017

Актуальная версия продукта 2.12.2 от 29.03.2017

версия у вас та же

дата может быть ошибочно указана

Ага, понятно.Спасибо !

Есть дата когда собрали сборку, потом проходит время теста, а потом её релиз.

Так, что дату компиляции и время публикации релиза прошу не путать.

Сервис поддержки клиентов работает на платформе UserEcho